#! /bin/bash

# convert to white png
for img in fond-theme-?.png; do convert "$img" -background white -alpha remove "${img%.png}"-flat.png; done

# convert from png to jpg
for img in fond-theme-?-flat.png; do convert "$img" "${img%.png}".jpg; done

# create menu thumbnails
for img in fond-theme-?-flat.png; do convert "$img" -resize 100 menu-"${img%.png}".jpg; done
for img in fond-theme-?-flat.png; do convert "$img" -resize 100 menu-"${img}"; done

# convert to n&b
for img in fond-theme-?-flat.png; do convert "$img" -set colorspace Gray -separate -average "${img%.png}"-nb.jpg; done
for img in fond-theme-?-flat.png; do convert "$img" -set colorspace Gray -separate -average "${img%.png}"-nb.png; done

# convert to n&b
for img in menu-fond-theme-?-flat.png; do convert "$img" -set colorspace Gray -separate -average "${img%.png}"-nb.jpg; done
for img in menu-fond-theme-?-flat.png; do convert "$img" -set colorspace Gray -separate -average "${img%.png}"-nb.png; done
